The [GetCallHistory] asynchronous implementation. Use this function to download a large amounts of data. Take a look at the [GetHistoryReports] and [DownloadHistoryReport] functions for downloading details.
Allowed roles: `Owner`, `Admin`, `Developer`, `Supervisor`, `Support`.
**Example request:** Get the first call session history record with calls and record URLs from the 2020-02-25 00:00:00 UTC to the 2020-02-26 00:00:00 UTC.
Query parameters
from_datestringRequired
The from date in the selected timezone in 24-h format: YYYY-MM-DD HH:mm:ss
to_datestringRequired
The to date in the selected timezone in 24-h format: YYYY-MM-DD HH:mm:ss
call_session_history_idlist of integersOptional
To get the call history for the specific sessions, pass the session IDs to this parameter separated by a semicolon (;). You can find the session ID in the <a href='/docs/references/voxengine/appevents#started'>AppEvents.Started</a> event's **sessionID** property in a scenario, or retrieve it from the **call_session_history_id** value returned from the <a href='/api-reference/management-api/scenarios/reorderscenarios'>StartScenarios</a> or <a href='/api-reference/management-api/scenarios/startconference'>StartConference</a> methods
application_idintegerOptional
To receive the call history for a specific application, pass the application ID to this parameter
application_namestringOptional
The application name, can be used instead of application_id
user_idlist of integersOptional
To receive the call history for a specific users, pass the user ID list separated by semicolons (;). If it is specified, the output contains the calls from the listed users only
rule_namestringOptional
To receive the call history for a specific routing rule, pass the rule name to this parameter. Applies only if you set application_id or application_name
remote_numberlist of stringsOptional
To receive a call history for a specific remote numbers, pass the number list separated by semicolons (;). A remote number is a number on the client side
local_numberlist of stringsOptional
To receive a call history for a specific local numbers, pass the number list separated by semicolons (;). A local number is a number on the platform side
call_session_history_custom_datastringOptional
To filter the call history by the custom_data passed to the call sessions, pass the custom data to this parameter
with_callsbooleanOptionalDefaults to false
Whether to receive a list of sessions with all calls within the sessions, including phone numbers, call cost and other information
with_recordsbooleanOptionalDefaults to false
Whether to get the calls' records
with_other_resourcesbooleanOptionalDefaults to true
Whether to get other resources usage (see [ResourceUsageType])
child_account_idlist of integersOptional
The child account ID list separated by semicolons (;)
children_calls_onlybooleanOptionalDefaults to false
Whether to get the children account calls only
desc_orderbooleanOptionalDefaults to false
Whether to get records in the descent order
outputstringOptionalDefaults to csv
The output format. The following values available: csv. The default value is csv
Response
Successful response
resultinteger
Returns 1 if the request has been completed successfully
history_report_idinteger
The history report ID